/* $Id$ */

/*========================================================================
 *  Copyright (c) Michael J. Hammel 1996.
 *========================================================================
 *              FILE NAME: coils.h
 *            DESCRIPTION: include file for coils program
 *                  NOTES: set tabstops to 3 for better readability
 *
 * SPECIAL CONSIDERATIONS:
 *
 *========================================================================
 *
 * MODIFICATION HISTORY:
 * $Log$
 *
 *========================================================================*/

#ifndef COILS_H
#define COILS_H

/*
 * The usage line
 */
#define USAGE \
"[ -as? | -r rotations | -t tightness | -w radius | -W radius |
   | -f filename | -N object | -o output_format ] 
where 
r        Number of 360 degree rotations in the coil
t        offset of end of rotation from start of rotation along rotation axis
w        radius of the coil strand (minor radius of torus)
W        radius of a single 360 degree rotation (major radius of torus)
s        use the \"sturm\" option for all torii
a        Append to output file, if it already exists
f        Filename to write output to; default = \"coils.inc\"
N        Name of the object; defaults = \"coils\" 
o        Output format type. This can be one of the following: 
         1:  POVRAY (only format currently supported) 

?        This usage message 
"

/*
 * Header strings
 */
#define HEADER_1 "/*============================================================="
#define HEADER_SPACE		" *"
#define HEADER_2 " *===========================================================*/"
#define HEADER_TAB		"\t"

#ifndef True
#define True	1
#endif
#ifndef False
#define False	0
#endif

/*
 * Output Format Types
 */
#define POVRAY			1

#endif /* COILS_H */
