/* $Id$ */

/*========================================================================
 *  Copyright (c) Michael J. Hammel 1996.
 *========================================================================
 *              FILE NAME: gears.h
 *            DESCRIPTION: include file for gears program
 *                  NOTES: set tabstops to 3 for better readability
 *
 * SPECIAL CONSIDERATIONS:
 *
 *========================================================================
 *
 * MODIFICATION HISTORY:
 * $Log$
 *
 *========================================================================*/

#ifndef GEARS_H
#define GEARS_H

/*
 * The usage line
 */
#define USAGE \
"[ -a? | -c radius | -h height | -n number | -r radius | -w width | 
   -H hub_radius | -s spoke_count | -f filename | -N object | -o output_format ] 
where 
a        Append to output file, if it already exists
c        Radius of cutout in center of gear; default= 0 (ie. no cutout) 
h        Height of gear teeth; default = 0.1
H        Radius of central hub (only valid if -c option is used);
         default = 0.0 (ie no central hub)
n        Number of gear teeth in quadrant 1; default = 9
r        Radius of gear (not including teeth); defalut = 1.0
s        Number of spokes to use when -c option is used; default = 2
w        Width of gear (front to back); default = 0.1 
f        Filename to write output to; default = \"gears.inc\"
N        Name of the object; defaults = \"gear\" 
o        Output format type. This can be one of the following: 
         1:  POVRAY (only format currently supported) 

?        This usage message 
"

/*
 * Header strings
 */
#define HEADER_1 "/*============================================================="
#define HEADER_SPACE		" *"
#define HEADER_2 " *===========================================================*/"

#ifndef True
#define True	1
#endif
#ifndef False
#define False	0
#endif

/*
 * A point in 2D space
 */
typedef struct points {
	double			x;
	double			y;
	struct points	*next;
} Points;

/*
 * Output Format Types
 */
#define POVRAY			1

#endif /* GEARS_H */
