/* $Id$ */

/*========================================================================
 *  Copyright (c) Michael J. Hammel 1995.
 *========================================================================
 *              FILE NAME: genf.h
 *            DESCRIPTION: header file for genf
 *      DEFINED CONSTANTS: 
 *       TYPE DEFINITIONS: 
 *      MACRO DEFINITIONS: 
 *       GLOBAL VARIABLES: 
 *       PUBLIC FUNCTIONS: 
 *      PRIVATE FUNCTIONS: 
 *  SOFTWARE DEPENDENCIES: 
 *  HARDWARE DEPENDENCIES: 
 *                  NOTES: 
 *
 * SPECIAL CONSIDERATIONS:
 *
 *========================================================================
 *
 * MODIFICATION HISTORY:
 * $Log$
 *
 *========================================================================*/
#ifndef GENF_H
#define GENF_H

#define COPYRIGHT		"(c) 1996 Michael J. Hammel"

#define USAGE \
"genf [ -c configuration_file ]

where
configuration_file     defaults to conf.genf"

#define DELIMITER    ':'      /* used to delimit fields in config file */

/*
 * Constant values
 */
#ifndef True
#define True	1
#endif
#ifndef False
#define False	0
#endif

/*
 * Mathematical constants (??)
 */
#ifndef PI
#define PI						3.14159265358979323846
#endif
#ifndef RADIANS
#define RADIANS				PI/180
#endif

/*
 * Default values
 */
#define GENF_DEFAULT_ID							1
#define GENF_DEFAULT_ROD_RADIUS				.1
#define GENF_DEFAULT_ELEMENTS					1
#define GENF_DEFAULT_LENGTH					1
#define GENF_DEFAULT_POINTS					2
#define GENF_DEFAULT_CROSS_OFFSET			0
#define GENF_DEFAULT_RADIUS					1
#define GENF_DEFAULT_BOX_WIDTH				1
#define GENF_DEFAULT_BOX_HEIGHT				1
#define GENF_DEFAULT_CONE_END_THICKNESS	.1

#define GENF_DEFAULT_CONFIG_FILE			"conf.genf"
#define GENF_DEFAULT_OUTFILENAME			"frame.inc"
#define GENF_DEFAULT_SHAPE					"BOX"
#define GENF_DEFAULT_JOINT_OBJECT		"none"
#define GENF_DEFAULT_TEXTURE				"Silver_Texture"
#define GENF_DEFAULT_CONE_END_SHAPE		"CYLINDER"

/*
 * these are the tags used in the configuration file
 */
#define GENF_TAG_ID 							"id"
#define GENF_TAG_ROD_RADIUS 				"rodradius"
#define GENF_TAG_SHAPE 						"shape"
#define GENF_TAG_JOINT_OBJECT 			"joint"
#define GENF_TAG_TEXTURE 					"texture"
#define GENF_TAG_ELEMENTS 					"elements"
#define GENF_TAG_RADIUS1 					"radius1"
#define GENF_TAG_RADIUS2 					"radius2"
#define GENF_TAG_POINTS1 					"points1"
#define GENF_TAG_POINTS2 					"points2"
#define GENF_TAG_LENGTH 					"length"
#define GENF_TAG_CROSS_OFFSET 			"offset"
#define GENF_TAG_BOX_WIDTH 				"width"
#define GENF_TAG_BOX_HEIGHT 				"height"
#define GENF_TAG_CROSS_ENDS 				"crossends"
#define GENF_TAG_CROSS_LENGTH 			"crosslength"
#define GENF_TAG_JOIN_LENGTH 				"joinlength"
#define GENF_TAG_OUTFILENAME 				"outfilename"
#define GENF_TAG_CONE_END_SHAPE 			"coneendshape"
#define GENF_TAG_CONE_END_THICKNESS 	"coneendthickness"


/*===================================================
 * Structs and Typedefs
 *==================================================*/

/* used in parsing form data */
struct entry {
	char *name;
	char *val;
	struct entry *next;
};

/* Points on an object */
typedef struct vertices {
	double	x;
	double	y;
	double	z;
} Vertices;

typedef struct conepoint {
	double	x;
	double	y;
	double	z;
	struct conepoint *next;
} ConePoints;
 
#endif /* GENF_H */
